Magick++: Magick::floodFillColorImage Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::floodFillColorImage Class Reference

`#include <STL.h>`

## Public Member Functions
| floodFillColorImage (const Geometry &point_, const Color &fillColor_, const bool invert_=false)
| floodFillColorImage (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const bool invert_=false)
| floodFillColorImage (const Geometry &point_, const Color &fillColor_, const Color &borderColor_, const bool invert_=false)
| floodFillColorImage (const ::ssize_t x_, const ::ssize_t y_, const Color &fillColor_, const Color &borderColor_, const bool invert_=false)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 476 of file STL.h.

## Constructor & Destructor Documentation

## ◆ floodFillColorImage() [1/4]

Magick::floodFillColorImage::floodFillColorImage | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 431 of file STL.cpp.

## ◆ floodFillColorImage() [2/4]

Magick::floodFillColorImage::floodFillColorImage | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_,
|  | const bool | invert_ = `false`
| ) |  |

## ◆ floodFillColorImage() [3/4]

Magick::floodFillColorImage::floodFillColorImage | ( | const Geometry & | point_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

Definition at line 453 of file STL.cpp.

## ◆ floodFillColorImage() [4/4]

Magick::floodFillColorImage::floodFillColorImage | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const Color & | fillColor_,
|  | const Color & | borderColor_,
|  | const bool | invert_ = `false`
| ) |  |

## Member Function Documentation

## ◆ operator()()

void Magick::floodFillColorImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 462 of file STL.cpp.

References Magick::Image::floodFillColor().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp